/*
 * DocServer
 * More Info available on https://www.doctag.de
 *
 * The version of the OpenAPI document: 0.1
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


package de.doctag.docsrv_api.model;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonTypeName;
import com.fasterxml.jackson.annotation.JsonValue;
import de.doctag.docsrv_api.model.Document;
import de.doctag.docsrv_api.model.FileData;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.ArrayList;
import java.util.List;
import org.junit.Assert;
import org.junit.Ignore;
import org.junit.Test;


/**
 * Model tests for EmbeddedDocument
 */
public class EmbeddedDocumentTest {
    private final EmbeddedDocument model = new EmbeddedDocument();

    /**
     * Model tests for EmbeddedDocument
     */
    @Test
    public void testEmbeddedDocument() {
        // TODO: test EmbeddedDocument
    }

    /**
     * Test the property 'document'
     */
    @Test
    public void documentTest() {
        // TODO: test document
    }

    /**
     * Test the property 'files'
     */
    @Test
    public void filesTest() {
        // TODO: test files
    }

}
